Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HMessageExchange

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HMessageExchange

    public class HMessageExchange

extends HObject

Hibernate-managed table for keeping track of message exchanges.

Field Summary
`static java.lang.String` | `DELETE_MEX_BY_INSTANCE`
`static java.lang.String` | `DELETE_MEX_BY_PROCESS`
`static java.lang.String` | `DELETE_UNMATCHED_MEX`
`static java.lang.String` | `SELECT_UNMATCHED_MEX_BY_INSTANCE`

Constructor Summary
`HMessageExchange()`

Method Summary
`java.lang.String` | `getAckType()`
`HLargeData` | `getCallbackEndpoint()`
`java.lang.String` | `getCallee()`
`java.lang.String` | `getChannelName()`
`java.lang.String` | `getClientKey()`
`java.lang.String` | `getCorrelationStatus()`
`char` | `getDirection()`
`HLargeData` | `getEndpoint()`
`java.lang.String` | `getFailureType()`
`java.lang.String` | `getFault()`
`java.lang.String` | `getFaultExplanation()`
`java.util.Date` | `getInsertTime()`
`HProcessInstance` | `getInstance()`
`java.lang.String` | `getInvocationStyle()`
`java.lang.String` | `getMexId()`
`java.lang.String` | `getOperationName()`
`HPartnerLink` | `getPartnerLink()`
`int` | `getPartnerLinkModelId()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getPipedMessageExchange()`
`java.lang.String` | `getPipedPID()`
`java.lang.String` | `getPortType()`
`HProcess` | `getProcess()`
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`HMessage` | `getRequest()`
`HMessage` | `getResponse()`
`java.lang.String` | `getState()`
`long` | `getTimeout()`
`void` | `setAckType(java.lang.String ackType)`
`void` | `setCallbackEndpoint(HLargeData endpoint)`
`void` | `setCallee(java.lang.String callee)`
`void` | `setChannelName(java.lang.String channelName)`
`void` | `setClientKey(java.lang.String clientKey)`
`void` | `setCorrelationStatus(java.lang.String cstatus)`
`void` | `setDirection(char dir)`
`void` | `setEndpoint(HLargeData endpoint)`
`void` | `setFailureType(java.lang.String failureType)`
`void` | `setFault(java.lang.String faultType)`
`void` | `setFaultExplanation(java.lang.String faultExplanation)`
`void` | `setInsertTime(java.util.Date insertTime)`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setInvocationStyle(java.lang.String invocationStyle)`
`void` | `setMexId(java.lang.String mexId)`
`void` | `setOperationName(java.lang.String operationName)`
`void` | `setPartnerLink(HPartnerLink link)`
`void` | `setPartnerLinkModelId(int id)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setPipedMessageExchange(java.lang.String p2ppeer)`
`void` | `setPipedPID(java.lang.String ppid)`
`void` | `setPortType(java.lang.String portType)`
`void` | `setProcess(HProcess process)`
`void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> props)`
`void` | `setRequest(HMessage request)`
`void` | `setResponse(HMessage response)`
`void` | `setState(java.lang.String state)`
`void` | `setTimeout(long timeout)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_MEX_BY_INSTANCE

    public static final java.lang.String DELETE_MEX_BY_INSTANCE

See Also:
  Constant Field Values

### SELECT_UNMATCHED_MEX_BY_INSTANCE

    public static final java.lang.String SELECT_UNMATCHED_MEX_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_UNMATCHED_MEX

    public static final java.lang.String DELETE_UNMATCHED_MEX

See Also:
  Constant Field Values

### DELETE_MEX_BY_PROCESS

    public static final java.lang.String DELETE_MEX_BY_PROCESS

See Also:
  Constant Field Values

Constructor Detail

### HMessageExchange

    public HMessageExchange()

Method Detail

### getMexId

    public java.lang.String getMexId()

### setMexId

    public void setMexId(java.lang.String mexId)

### getPortType

    public java.lang.String getPortType()

### setPortType

    public void setPortType(java.lang.String portType)

### getChannelName

    public java.lang.String getChannelName()

### setChannelName

    public void setChannelName(java.lang.String channelName)

### getClientKey

    public java.lang.String getClientKey()

### setClientKey

    public void setClientKey(java.lang.String clientKey)

### getEndpoint

    public HLargeData getEndpoint()

### setEndpoint

    public void setEndpoint(HLargeData endpoint)

### getCallbackEndpoint

    public HLargeData getCallbackEndpoint()

### setCallbackEndpoint

    public void setCallbackEndpoint(HLargeData endpoint)

### getRequest

    public HMessage getRequest()

### setRequest

    public void setRequest(HMessage request)

### getResponse

    public HMessage getResponse()

### setResponse

    public void setResponse(HMessage response)

### getInsertTime

    public java.util.Date getInsertTime()

### setInsertTime

    public void setInsertTime(java.util.Date insertTime)

### getOperationName

    public java.lang.String getOperationName()

### setOperationName

    public void setOperationName(java.lang.String operationName)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String state)

### getProcess

    public HProcess getProcess()

### setProcess

    public void setProcess(HProcess process)

### getInstance

    public HProcessInstance getInstance()

### setInstance

    public void setInstance(HProcessInstance instance)

### setDirection

    public void setDirection(char dir)

### getDirection

    public char getDirection()

### getPartnerLinkModelId

    public int getPartnerLinkModelId()

### setPartnerLinkModelId

    public void setPartnerLinkModelId(int id)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getCorrelationStatus

    public java.lang.String getCorrelationStatus()

  Returns:

### setCorrelationStatus

    public void setCorrelationStatus(java.lang.String cstatus)

### getFault

    public java.lang.String getFault()

  Returns:

### setFault

    public void setFault(java.lang.String faultType)

### getFaultExplanation

    public java.lang.String getFaultExplanation()

  Returns:

### setFaultExplanation

    public void setFaultExplanation(java.lang.String faultExplanation)

### getCallee

    public java.lang.String getCallee()

### setCallee

    public void setCallee(java.lang.String callee)

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### setProperties

    public void setProperties(java.util.Map<java.lang.String,java.lang.String> props)

### setPartnerLink

    public void setPartnerLink(HPartnerLink link)

### getPartnerLink

    public HPartnerLink getPartnerLink()

### getTimeout

    public long getTimeout()

### setTimeout

    public void setTimeout(long timeout)

### getInvocationStyle

    public java.lang.String getInvocationStyle()

### getPipedMessageExchange

    public java.lang.String getPipedMessageExchange()

  Returns:

### setPipedMessageExchange

    public void setPipedMessageExchange(java.lang.String p2ppeer)

### setFailureType

    public void setFailureType(java.lang.String failureType)

### getFailureType

    public java.lang.String getFailureType()

  Returns:

### setInvocationStyle

    public void setInvocationStyle(java.lang.String invocationStyle)

### getAckType

    public java.lang.String getAckType()

  Returns:

### setAckType

    public void setAckType(java.lang.String ackType)

### getPipedPID

    public java.lang.String getPipedPID()

  Returns:

### setPipedPID

    public void setPipedPID(java.lang.String ppid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD